﻿#!/bin/bash
# sed - i means in place operation
for f in `find ./ -name "*.tex"` ; do
	echo "replace %* in $f with single %"
	sed -i -e 's/\\%/DUMMY_PERCENT/g' $f
	sed -i -e 's/%\(.*\)$/%/g' $f
	sed -i -e 's/DUMMY_PERCENT/\\%MMY_PERCENT/g' $f #somehow this only works for strings of same length
	sed -i -e 's/MMY_PERCENT//g' $f # completely removing works though ;)
done

wait ${!}
# cleanup axillary
for f in `find ./ -name "*.tex-e"` ; do
	echo "removing $f"
	rm $f
done